summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJoseph Hunkeler <jhunkeler@gmail.com>2019-02-17 22:06:06 -0500
committerJoseph Hunkeler <jhunkeler@gmail.com>2019-02-17 22:06:06 -0500
commitb9b420b78f13894b3e6aeedcb96c5a02e0298530 (patch)
tree1882cbcd84bc3469790060b1e648570343149e72
parentca90c863c2aa82e5c0b24e5e1181f71397a78c2a (diff)
downloaddocker-base-b9b420b78f13894b3e6aeedcb96c5a02e0298530.tar.gz
Die on error
-rwxr-xr-xetc/pkgs/001-gcc.sh5
-rwxr-xr-xetc/pkgs/002-binutils.sh4
-rwxr-xr-xetc/pkgs/003-openssl.sh2
-rwxr-xr-xetc/pkgs/004-nodejs.sh2
-rwxr-xr-xetc/pkgs/005-tini.sh2
5 files changed, 9 insertions, 6 deletions
diff --git a/etc/pkgs/001-gcc.sh b/etc/pkgs/001-gcc.sh
index 62ddae0..9cce7b0 100755
--- a/etc/pkgs/001-gcc.sh
+++ b/etc/pkgs/001-gcc.sh
@@ -1,5 +1,6 @@
-#!/bin/bash -e
-set -x
+#!/bin/bash
+set -xe
+
name=gcc
version=8.2.0
url=http://mirrors-usa.go-parts.com/gcc/releases/${name}-${version}/${name}-${version}.tar.gz
diff --git a/etc/pkgs/002-binutils.sh b/etc/pkgs/002-binutils.sh
index 4c2e13d..8b1d8cb 100755
--- a/etc/pkgs/002-binutils.sh
+++ b/etc/pkgs/002-binutils.sh
@@ -1,4 +1,6 @@
-#!/bin/bash -x
+#!/bin/bash
+set -xe
+
name=binutils
version=2.31.1
url=https://ftp.gnu.org/gnu/binutils/${name}-${version}.tar.gz
diff --git a/etc/pkgs/003-openssl.sh b/etc/pkgs/003-openssl.sh
index 92a4658..184d738 100755
--- a/etc/pkgs/003-openssl.sh
+++ b/etc/pkgs/003-openssl.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -x
+set -xe
name="openssl"
version="1.1.0j"
diff --git a/etc/pkgs/004-nodejs.sh b/etc/pkgs/004-nodejs.sh
index b52a229..1e68cca 100755
--- a/etc/pkgs/004-nodejs.sh
+++ b/etc/pkgs/004-nodejs.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -x
+set -xe
name=node
version=v10.15.0
diff --git a/etc/pkgs/005-tini.sh b/etc/pkgs/005-tini.sh
index 44bb172..12d44a7 100755
--- a/etc/pkgs/005-tini.sh
+++ b/etc/pkgs/005-tini.sh
@@ -1,5 +1,5 @@
#!/bin/bash
-set -x
+set -xe
sudo yum install -y cmake glibc-static || exit 1
git clone https://github.com/krallin/tini.git